## dvbsrc dvbsrc — Digital Video Broadcast Source |

## Properties

guint | bandwidth-hz | Read / Write
GstDvbSrcBandwidth | bandwidth | Read / Write
GstDvbSrcCode_Rate | code-rate-hp | Read / Write
GstDvbSrcCode_Rate | code-rate-lp | Read / Write
gchararray | device | Read / Write
gint | diseqc-src | Read / Write
gint | freq | Read / Write
GstDvbSrcGuard | guard | Read / Write
GstDvbSrcHierarchy | hierarchy | Read / Write
GstDvbSrcInversion | inversion | Read / Write
GstDvbSrcModulation | modulation | Read / Write
gchar * | pids | Write
gchararray | pol | Read / Write
gint | srate | Read / Write
GstDvbSrcTransmission_Mode | trans-mode | Read / Write
gpointer | tune | Write
gint | adapter | Read / Write
gint | diseqc-source | Read / Write
guint | frequency | Read / Write
gint | frontend | Read / Write
gchar * | polarity | Read / Write / Construct
guint | symbol-rate | Read / Write
guint | stats-reporting-interval | Read / Write
guint64 | timeout | Read / Write
guint | dvb-buffer-size | Read / Write
GstDvbSrcDelsys | delsys | Read / Write
GstDvbSrcPilot | pilot | Read / Write
GstDvbSrcRolloff | rolloff | Read / Write
gint | stream-id | Read / Write
guint64 | tuning-timeout | Read / Write

## Signals

void | tuning-done | Run Last
void | tuning-fail | Run Last
void | tuning-start | Run Last

## Types and Values

struct | GstDvbSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstDvbSrc

## Description

## Synopsis

### Element Information

plugin | dvb
author | P2P-VCR, C-Lab, University of Paderborn,Zaheer Abbas Merali <zaheerabbas at merali dot org>
class | Source/Video

### Element Pads

name | src
direction | source
presence | always
details | video/mpegts, mpegversion=(int)2, systemstream=(boolean)true

## Functions

## Types and Values

### struct GstDvbSrc

    struct GstDvbSrc;

## Property Details

### The `“bandwidth-hz”` property

      “bandwidth-hz”             guint

(DVB-T) Bandwidth in Hz.

Flags: Read / Write

Default value: 8000000

### The `“bandwidth”` property

      “bandwidth”                GstDvbSrcBandwidth

(DVB-T) Bandwidth. Deprecated.

Flags: Read / Write

Default value: 8

### The `“code-rate-hp”` property

      “code-rate-hp”             GstDvbSrcCode_Rate

(DVB-T, DVB-S/S2 and DVB-C) High priority code rate.

Flags: Read / Write

Default value: AUTO

### The `“code-rate-lp”` property

      “code-rate-lp”             GstDvbSrcCode_Rate

(DVB-T) Low priority code rate.

Flags: Read / Write

Default value: 1/2

### The `“device”` property

      “device”                   gchararray

The device directory.

Flags: Read / Write

Default value: "/dev/dvb/adapter0"

### The `“diseqc-src”` property

      “diseqc-src”               gint

DISEqC selected source (-1 disabled) (DVB-S).

Flags: Read / Write

Allowed values: [-1,7]

Default value: -1

### The `“freq”` property

      “freq”                     gint

Frequency.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“guard”` property

      “guard”                    GstDvbSrcGuard

(DVB-T) Guard Interval.

Flags: Read / Write

Default value: 16

### The `“hierarchy”` property

      “hierarchy”                GstDvbSrcHierarchy

(DVB-T) Hierarchy information.

Flags: Read / Write

Default value: 1

### The `“inversion”` property

      “inversion”                GstDvbSrcInversion

(DVB-T and DVB-C) Inversion information.

Flags: Read / Write

Default value: ON

### The `“modulation”` property

      “modulation”               GstDvbSrcModulation

(DVB-T and DVB-C) Modulation type.

Flags: Read / Write

Default value: QAM 16

### The `“pids”` property

      “pids”                     gchar *

Colon seperated list of pids (eg. 110:120).

Flags: Write

Default value: "8192"

### The `“pol”` property

      “pol”                      gchararray

Polarity [vhHV] (DVB-S).

Flags: Read / Write

Default value: "h"

### The `“srate”` property

      “srate”                    gint

Symbol Rate (DVB-S, DVB-C).

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“trans-mode”` property

      “trans-mode”               GstDvbSrcTransmission_Mode

(DVB-T) Transmission mode.

Flags: Read / Write

Default value: 8K

### The `“tune”` property

      “tune”                     gpointer

Atomically tune to channel. (For Apps).

Flags: Write

### The `“adapter”` property

      “adapter”                  gint

The DVB adapter device number (eg. 0 for adapter0).

Flags: Read / Write

Allowed values: [0,16]

Default value: 0

### The `“diseqc-source”` property

      “diseqc-source”            gint

(DVB-S/S2) Selected DiSEqC source. Only needed if you have a DiSEqC switch. Otherwise leave at -1 (disabled).

Flags: Read / Write

Allowed values: [G_MAXULONG,7]

Default value: -1

### The `“frequency”` property

      “frequency”                guint

Frequency.

Flags: Read / Write

Default value: 0

### The `“frontend”` property

      “frontend”                 gint

The frontend device number (eg. 0 for frontend0).

Flags: Read / Write

Allowed values: [0,16]

Default value: 0

### The `“polarity”` property

      “polarity”                 gchar *

(DVB-S/S2) Polarity [vhHV] (eg. V for Vertical).

Flags: Read / Write / Construct

Default value: "H"

### The `“symbol-rate”` property

      “symbol-rate”              guint

(DVB-S/S2, DVB-C) Symbol rate in bauds.

Flags: Read / Write

Default value: 0

### The `“stats-reporting-interval”` property

      “stats-reporting-interval” guint

The number of reads before reporting frontend stats.

Flags: Read / Write

Default value: 100

### The `“timeout”` property

      “timeout”                  guint64

Post a message after timeout microseconds (0 = disabled).

Flags: Read / Write

Default value: 1000000

### The `“dvb-buffer-size”` property

      “dvb-buffer-size”          guint

The kernel buffer size used by the DVB api.

Flags: Read / Write

Default value: 1925120

### The `“delsys”` property

      “delsys”                   GstDvbSrcDelsys

Delivery System.

Flags: Read / Write

Default value: UNDEFINED

### The `“pilot”` property

      “pilot”                    GstDvbSrcPilot

Pilot (DVB-S2).

Flags: Read / Write

Default value: AUTO

### The `“rolloff”` property

      “rolloff”                  GstDvbSrcRolloff

Rolloff (DVB-S2).

Flags: Read / Write

Default value: auto

### The `“stream-id”` property

      “stream-id”                gint

(DVB-T2 and DVB-S2 max 255, ISDB max 65535) Stream ID (-1 = disabled).

Flags: Read / Write

Allowed values: [G_MAXULONG,65535]

Default value: -1

### The `“tuning-timeout”` property

      “tuning-timeout”           guint64

Milliseconds to wait before giving up tuning/locking on a signal.

Flags: Read / Write

Default value: 10000000000

## Signal Details

### The `“tuning-done”` signal

    void
    user_function (GstDvbSrc *gstdvbsrc,
                   gpointer   user_data)

#### Parameters

gstdvbsrc | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“tuning-fail”` signal

    void
    user_function (GstDvbSrc *gstdvbsrc,
                   gpointer   user_data)

#### Parameters

gstdvbsrc | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“tuning-start”` signal

    void
    user_function (GstDvbSrc *gstdvbsrc,
                   gpointer   user_data)

#### Parameters

gstdvbsrc | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last